|
|||||||||
| Home >> All >> nl >> aidministrator >> rdf >> protocolhandler >> [ http overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
nl.aidministrator.rdf.protocolhandler.http
Class ConfigServlet

java.lang.Objectjavax.servlet.GenericServlet
javax.servlet.http.HttpServlet
nl.aidministrator.rdf.protocolhandler.http.ConfigServlet
- All Implemented Interfaces:
- java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig
- public class ConfigServlet
- extends javax.servlet.http.HttpServlet
| Field Summary | |
private nl.aidministrator.rdf.config.SystemConfigHandler |
_configHandler
|
private java.util.Map |
_configParameters
|
private java.lang.String |
_configPassword
|
protected java.lang.String |
_logFile
|
protected int |
_logLevel
|
static java.lang.String |
buildDate
|
| Fields inherited from class javax.servlet.http.HttpServlet |
|
| Fields inherited from class javax.servlet.GenericServlet |
|
| Constructor Summary | |
ConfigServlet()
|
|
| Method Summary | |
protected void |
_refreshSystemConfig()
|
void |
destroy()
Release resources. |
void |
doPost(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
Called by the server (via the service method)
to allow a servlet to handle a POST request. |
static java.lang.String |
getBuildDate()
|
void |
init(javax.servlet.ServletConfig config)
Called by the servlet container to indicate to a servlet that the servlet is being placed into service. |
| Methods inherited from class javax.servlet.http.HttpServlet |
doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service |
| Methods inherited from class javax.servlet.GenericServlet |
getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
buildDate
public static final java.lang.String buildDate
- See Also:
- Constant Field Values
_logFile
protected java.lang.String _logFile
_logLevel
protected int _logLevel
_configPassword
private java.lang.String _configPassword
_configHandler
private nl.aidministrator.rdf.config.SystemConfigHandler _configHandler
_configParameters
private java.util.Map _configParameters
| Constructor Detail |
ConfigServlet
public ConfigServlet()
| Method Detail |
getBuildDate
public static java.lang.String getBuildDate()
init
public void init(javax.servlet.ServletConfig config) throws javax.servlet.ServletException
- Description copied from class:
javax.servlet.GenericServlet - Called by the servlet container to indicate to a servlet that the
servlet is being placed into service. See Servlet.init(javax.servlet.ServletConfig)>
Servlet.init(javax.servlet.ServletConfig)55 .This implementation stores the javax.servlet.ServletConfig object it receives from the servlet container for later use. When overriding this form of the method, call
super.init(config).
destroy
public void destroy()
- Release resources.
doPost
public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
- Description copied from class:
javax.servlet.http.HttpServlet - Called by the server (via the
servicemethod) to allow a servlet to handle a POST request. The HTTP POST method allows the client to send data of unlimited length to the Web server a single time and is useful when posting information such as credit card numbers.When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a
PrintWriterobject to return the response, set the content type before accessing thePrintWriterobject.The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.
Where possible, set the Content-Length header (with the ServletResponse.setContentLength(int)>
ServletResponse.setContentLength(int)55 method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.
This method does not need to be either safe or idempotent. Operations requested through POST can have side effects for which the user can be held accountable, for example, updating stored data or buying items online.
If the HTTP POST request is incorrectly formatted,
doPostreturns an HTTP "Bad Request" message.
_refreshSystemConfig
protected void _refreshSystemConfig()
throws java.lang.Exception
|
|||||||||
| Home >> All >> nl >> aidministrator >> rdf >> protocolhandler >> [ http overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC